import { Injectable } from '@nestjs/common';
import { Message } from '@chat-room/api-interfaces';

@Injectable()
export class AppService {
  private messages: Message[] = [];

  getMessages(): Message[] {
    return this.messages;
  }

  addMessage(message: Message): Message {
    this.messages.push(message);
    // Only keep the last 60 messages
    this.messages = this.messages.reverse().slice(0, 60).reverse();
    return message;
  }
}
